VirtualBox

Ticket #20780 (closed defect: fixed)

Opened 4 months ago

Last modified 4 weeks ago

VBox 6.1.30 and 6.1.32 GAs in S10 guests produce error on install and are unable to be uninstalled => fixed in trunk/6.1.x x>32

Reported by: rlhamil Owned by:
Component: other Version: VirtualBox 6.1.32
Keywords: Cc:
Guest type: other Host type: other

Description

For the Solaris Guest Additions, the line in install/postinstall and install/preremove that looks like (give or take leading spaces:

       refgroup=$(LC_ALL=C /usr/bin/ls -lL /etc/dev/reserved_devnames | awk '{ print $4 }' 2>/dev/null)

should use backticks ( pair) rather than $( ) notation, because /bin/sh on Solaris 10 does not support $( )

Otherwise, both install and remove partially fail. (tested this by extracting the package, editing those scripts, and editing the manifest to reflect the modified sizes and checksums of those scripts)

This is actually present in at least 6.1.30 and 6.1.32.

Change History

comment:1 Changed 4 months ago by paulson

  • Status changed from new to closed
  • Resolution set to fixed
  • Summary changed from guest additions install or remove fails on Solaris 10 to VBox 6.1.30 Guest Additions install or remove fails on Solaris 10 => fixed in 6.1.32

This was introduced in VirtualBox 6.1.30 but is fixed in 6.1.32:

--- 6.1.30/SUNWvbox/root/opt/VirtualBox/vboxconfig.sh   2021-11-22 07:37:50.000000000 -0800
+++ 6.1.32/SUNWvbox/root/opt/VirtualBox/vboxconfig.sh   2022-01-13 11:22:34.000000000 -0800
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $Id: vboxconfig.sh 148369 2021-11-18 17:57:43Z klaus $
+# $Id: vboxconfig.sh 148547 2021-11-30 14:31:14Z klaus $
 ## @file
 # VirtualBox Configuration Script, Solaris host.
 #
@@ -679,7 +679,7 @@
     if [ -f "$PKG_INSTALL_ROOT/etc/dev/reserved_devnames" ]; then
         # Solaris 11 SRU6 and later use group root (check a file which isn't
         # tainted by VirtualBox install scripts and allow no other group)
-        refgroup=$(LC_ALL=C /usr/bin/ls -lL "$PKG_INSTALL_ROOT/etc/dev/reserved_devnames" | awk '{ print $4 }' 2>/dev/null)
+        refgroup=`LC_ALL=C /usr/bin/ls -lL "$PKG_INSTALL_ROOT/etc/dev/reserved_devnames" | awk '{ print $4 }' 2>/dev/null`
         if [ $? -eq 0 -a "x$refgroup" = "xroot" ]; then
             group=root
         fi
@@ -807,7 +807,7 @@
     if [ -f "$PKG_INSTALL_ROOT/etc/dev/reserved_devnames" ]; then
         # Solaris 11 SRU6 and later use group root (check a file which isn't
         # tainted by VirtualBox install scripts and allow no other group)
-        refgroup=$(LC_ALL=C /usr/bin/ls -lL "$PKG_INSTALL_ROOT/etc/dev/reserved_devnames" | awk '{ print $4 }' 2>/dev/null)
+        refgroup=`LC_ALL=C /usr/bin/ls -lL "$PKG_INSTALL_ROOT/etc/dev/reserved_devnames" | awk '{ print $4 }' 2>/dev/null`
         if [ $? -eq 0 -a "x$refgroup" = "xroot" ]; then
             group=root
         fi

comment:2 Changed 3 months ago by paulson

  • Status changed from closed to reopened
  • Resolution fixed deleted

Note that if a Solaris 10 guest does have the 6.1.30 GAs installed the following edit to the /var/sadm/pkg/SUNWvboxguest/install/preremove file (as root) is needed in order for 'pkgrm SUNWvboxguest' to succeed:

@@ -53,7 +53,7 @@
 if [ -f /etc/dev/reserved_devnames ]; then
     # Solaris 11 SRU6 and later use group root (check a file which isn't
     # tainted by VirtualBox install scripts and allow no other group)
-    refgroup=$(LC_ALL=C /usr/bin/ls -lL /etc/dev/reserved_devnames | awk '{ print $4 }' 2>/dev/null)
+    refgroup=`LC_ALL=C /usr/bin/ls -lL /etc/dev/reserved_devnames | awk '{ print $4 }' 2>/dev/null`
     if [ $? -eq 0 -a "x$refgroup" = "xroot" ]; then
         group=root
     fi

comment:3 Changed 3 months ago by paulson

  • Summary changed from VBox 6.1.30 Guest Additions install or remove fails on Solaris 10 => fixed in 6.1.32 to VBox 6.1.30 and 6.1.32 GAs in S10 guests produce error on install and are unable to be uninstalled => fixed in trunk/6.1.x x>32

Upon closer inspection it turns out that a few more files needed to be updated so the full fix will be part of the next maintenance release of VirtualBox. The fix will also be available in any Guest Additions (GAs) downloaded from the Testbuilds which are later than revision r149820.

To summarize, this issue affects VirtualBox GAs from 6.1.30 and 6.1.32 which are installed in Solaris 10 guests. Due to this issue, it isn't possible to remove the VirtualBox GAs package, SUNWvboxguest, until the following change is made to /var/sadm/pkg/SUNWvboxguest/install/preremove (as root):

@@ -53,7 +53,7 @@
 if [ -f /etc/dev/reserved_devnames ]; then
     # Solaris 11 SRU6 and later use group root (check a file which isn't
     # tainted by VirtualBox install scripts and allow no other group)
-    refgroup=$(LC_ALL=C /usr/bin/ls -lL /etc/dev/reserved_devnames | awk '{ print $4 }' 2>/dev/null)
+    refgroup=`LC_ALL=C /usr/bin/ls -lL /etc/dev/reserved_devnames | awk '{ print $4 }' 2>/dev/null`
     if [ $? -eq 0 -a "x$refgroup" = "xroot" ]; then
         group=root
     fi  

comment:4 Changed 4 weeks ago by galitsyn

  • Status changed from reopened to closed
  • Resolution set to fixed

The issue should be fixed in VirtualBox 6.1.34. Closing.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use